package dk.nsp.idsas.test.idptest;

public enum SOAPOperation {
    CreateBlurring(
            "http://sundhedsdatastyrelsen.dk/identitetssloering/2023/06/01/",
            "http://sundhedsdatastyrelsen.dk/identitetssloering/2023/06/01/#CreateBlurring",
            "CreateBlurringRequest"),

    GetCurrentSalt(
            "http://sundhedsdatastyrelsen.dk/identitetssloering/2023/06/01/",
            "http://sundhedsdatastyrelsen.dk/identitetssloering/2023/06/01/#GetCurrentSalt",
            "GetCurrentSaltRequest"),

    GetBlurredOrganisations(
            "http://sundhedsdatastyrelsen.dk/identitetssloering/2023/06/01/",
            "http://sundhedsdatastyrelsen.dk/identitetssloering/2023/06/01/#GetBlurredOrganisations",
            "GetBlurredOrganisationsRequest"),

    CreateOrgBlurring(
            "http://sundhedsdatastyrelsen.dk/identitetssloering/2024/01/24/",
            "http://sundhedsdatastyrelsen.dk/identitetssloering/2024/01/24/#CreateOrgBlurring",
            "CreateOrgBlurringRequest"
    ),

    RemoveOrgBlurring(
            "http://sundhedsdatastyrelsen.dk/identitetssloering/2024/01/24/",
            "http://sundhedsdatastyrelsen.dk/identitetssloering/2024/01/24/#RemoveOrgBlurring",
            "RemoveOrgBlurringRequest"
    ),

    ListAllActiveOrgBlurrings(
            "http://sundhedsdatastyrelsen.dk/identitetssloering/2024/01/24/",
            "http://sundhedsdatastyrelsen.dk/identitetssloering/2024/01/24/#ListAllActiveOrgBlurrings",
            "ListAllActiveOrgBlurringsRequest"
    ),

    ListOrgBlurringsForCVR(
            "http://sundhedsdatastyrelsen.dk/identitetssloering/2024/01/24/",
            "http://sundhedsdatastyrelsen.dk/identitetssloering/2024/01/24/#ListOrgBlurringsForCVR",
            "ListOrgBlurringsForCVRRequest"
    );

    private final String soapNamespace;
    private final String soapOperation;
    private final String rootElement;

    SOAPOperation(String soapNamespace, String soapOperation, String rootElement) {
        this.soapNamespace = soapNamespace;
        this.soapOperation = soapOperation;
        this.rootElement = rootElement;
    }

    public String getSoapNamespace() {
        return soapNamespace;
    }

    public String getSoapOperation() {
        return soapOperation;
    }

    public String getRootElement() {
        return rootElement;
    }
}